<?php
    $this_path = "../../../../";
    $this_path_plugin = "../../../../plugins/DPGeshop/";

    // ---------------------------------------------------------------------
	// imports

	require $this_path . "functions.php";
    require $this_path . "defines.php";
    require $this_path . "config.php";
    require $this_path . "connectdb.php";

	require $this_path_plugin . "api/group_api.php";
	require $this_path_plugin . "api/db_api.php";

	require $this_path_plugin . "java.js.php";


    // ---------------------------------------------------------------------
	// process GET param/submit

    foreach ( $_GET as $key => $value ) {
        $_GET[$key] = addslashes(urldecode($value));
    }

    // constant params
		list($show, $orderby, $sort, $page, $limit, $search_query) = Array('80', 'matchIndex', 'ASC', 0, 100, '');

    // superficial params
		// -

    if ( get_magic_quotes_gpc() ) {
        $_GET = array_map(create_function('$a', 'return stripslashes($a);'), $_GET);
    }

    extract($_GET, EXTR_OVERWRITE);

    $search_query = stripslashes($search_query);


    // ---------------------------------------------------------------------
	// declarations

	// functions

		function thisQuery() {
	        $conformUri = Array('show', 'orderby', 'sort', 'page', 'limit', 'search_query');

	        $this_function_args = func_get_args();

	        return implode('&amp;', array_map(
						create_function('$a, $b', 'return $a . "=" . urlencode($b);'),
						$conformUri,
						$this_function_args
					)
				   );
	    }

    // variables

		$C_WEBSITE_MAINBACKGROUND = C_WEBSITE_MAINBACKGROUND;

	    // database handlers
		$dbh = new DB_Search();


    // ---------------------------------------------------------------------
	// process post submit

    $Sucessfull   = true;
    $query_posted = false;

    if ( !empty($_POST['search_query']) ) {
    	$query_posted = true;
		$search_query = stripslashes($_POST['search_query']);
    }
?>
<html>
<head>
	<title>{#dynpg_eshop_insert_dlg.title}</title>
	<script language="javascript" type="text/javascript" src="../../tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="../../utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="../../utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="js/dynpg_eshop_insert.js"></script>
	<!--<link href="css/style.css" rel="stylesheet" type="text/css" />-->
	<link rel="stylesheet" type="text/css" href="../../../../css/tool.css">
	<link rel="stylesheet" type="text/css" href="../../../../backendpopup/resources/articles/style.css">

	<base target="_self" />
</head>
<body>
	<h4>{#dynpg_eshop_insert_dlg.title}</h4>
	<br />
	<form action="popup.php" method="post" name="searchForm">
			<strong>{#dynpg_eshop_insert_dlg.searchtext}:</strong>

			<input type="text" name="search_query" />
			<input type="submit" value="{#dynpg_eshop_insert_dlg.searchbutton}" />
	</form>

<?php if ($search_query != '') { ?>

	<hr />

	<h4>{#dynpg_eshop_insert_dlg.matches_for} &quot;<em><?php echo dynpg_htmlentities_rigid($search_query,ENT_COMPAT,true) ?></em>&quot;</h3>

	<a name="top"></a><br />

	<form action="popup.php" method="post" name="listOfItems">

	<table border="0" cellpadding="8" cellspacing="0" width="100%" class="InnerWebsiteTable">
	    <tr>
	    	<td bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>" valign="top">

	    		<fieldset style="background-color: white; margin: 0 0 10px 0; padding: 5px;">
	    			<legend><strong>{#dynpg_eshop_insert_dlg.legend}</strong></legend>
					<table cellpadding="2" cellspacing="0">
						<tr>
							<td><img src="<?php echo $this_path; ?>pictures/subtree_item.gif" alt="group" border="0"></td><td align="left">{#dynpg_eshop_insert_dlg.group}</td>
							<td><img src="<?php echo $this_path; ?>plugins/DPGeshop/styles/unique_article.gif" alt="Leitartikel" title="Leitartikel" border="0" /></td><td align="left">{#dynpg_eshop_insert_dlg.main_article}</td>
							<td><img src="<?php echo $this_path; ?>plugins/DPGeshop/styles/list_article.gif" alt="Leitartikel" title="Leitartikel" border="0" /></td><td align="left">{#dynpg_eshop_insert_dlg.list_article}</td>
						</tr>
					</table>
	    		</fieldset>

	    		<fieldset style="background-color: white; margin: 0 0 10px 0; padding: 5px;">
					<a href="#" onclick="DynpgEShopInsert.insertEShopLinkAllSelected(false);"><strong>{#dynpg_eshop_insert_dlg.insert_all_marked}</strong></a> |
		    		<a href="#" onclick="DynpgEShopInsert.insertEShopLinkAllSelected(true);"><strong>{#dynpg_eshop_insert_dlg.insert_all_marked_as_detail_article}</strong></a>
	    		</fieldset>

				<table border="0" cellpadding="8" cellspacing="0" width="100%" class="InnerWebsiteTableWhite">
				    <tr>
				    	<td width="20" class="seperated">&nbsp;</td>

				    	<td width="70" valign="middle" align="center" class="seperated">
							<span class="Normal"><strong><a href="<?php echo "{$_SERVER['PHP_SELF']}?" . thisQuery($show, 'identBy_ID', $sort=='DESC'? 'ASC': 'DESC', $page, $limit, $search_query); ?>#top">{#dynpg_eshop_insert_dlg.id}</a></strong></span>
						</td>

						<td valign="middle" align="left" class="seperated">
							<span class="Normal"><strong><a href="<?php echo "{$_SERVER['PHP_SELF']}?" . thisQuery($show, 'identBy_Value', $sort=='DESC'? 'ASC': 'DESC', $page, $limit, $search_query); ?>#top">{#dynpg_eshop_insert_dlg.name}</a></strong></span>
						</td>

						<td width="110" valign="middle" align="center" class="seperated_bottom">
							<span class="Normal"><strong>{#dynpg_eshop_insert_dlg.actions}</strong></span>
						</td>
					</tr>

					<?php
						$begin = $page * $limit;

						$dbh_groups = new DB_Groups_Tbl();

						$dbh->search($search_query, $query_posted? 'matchIndex': $orderby, $query_posted? 'DESC': $sort);

						while ( $dbh->db_fetch_row() ) {
							// check if matchIndex is high enough
							if ($dbh->row['matchIndex'] < 0.001)
								break;

							// check if current group has successors: if yes, skip it
							if ($dbh->row['identBy_type'] == 'group' && $dbh_groups->obj_exe->hasSuccessors($dbh->row['identBy_ID']))
								continue;

							$dbh->row = array_map(create_function('$val', 'return dynpg_htmlentities_rigid($val,ENT_COMPAT,true);'), $dbh->row);

							// some more output specific variables
							$unique = uniqid('chk_');

							switch ($dbh->row['identBy_type']) {
								case 'group':
									$ident  = '&nbsp;<img src="' . $this_path . 'pictures/subtree_item.gif" alt="{#dynpg_eshop_insert_dlg.group}" border="0">';
									$value  = "<a href=\"#\" title=\"{#dynpg_eshop_insert_dlg.insert_group_link}\" onclick=\"DynpgEShopInsert.insertEShopLink({$dbh->row['identBy_ID']}, 0, '".str_replace("'", "\'", stripslashes(str_replace("\n", '', str_replace("\r\n", '', $dbh->row['identBy_Value']))))."', false);\">{$dbh->row['identBy_Value']}</a>";
									$insert = "<a href=\"#\" title=\"{#dynpg_eshop_insert_dlg.insert_group_link}\" onclick=\"DynpgEShopInsert.insertEShopLink({$dbh->row['identBy_ID']}, 0, '".str_replace("'", "\'", stripslashes(str_replace("\n", '', str_replace("\r\n", '', $dbh->row['identBy_Value']))))."', true);\">";
									$hidden = "<input type=\"hidden\" id=\"group_{$unique}\" value=\"{$dbh->row['identBy_ID']}\" />\n" .
											  "<input type=\"hidden\" id=\"item_{$unique}\" value=\"0\" />\n" .
											  "<input type=\"hidden\" id=\"name_{$unique}\" value=\"{$dbh->row['identBy_Value']}\" />\n";
									break;

								case 'item':
									$ident  = '<img src="' . $this_path . 'plugins/DPGeshop/styles/unique_article.gif" align="left" alt="{#dynpg_eshop_insert_dlg.main_article}" title="{#dynpg_eshop_insert_dlg.main_article}" border="0" />';
									$value  = "<div style=\"padding: 3px 0 0 0;\"><a href=\"#\" title=\"{#dynpg_eshop_insert_dlg.switch_to_main_article}\" onclick=\"DynpgEShopInsert.insertEShopLink({$dbh->row['identBy_Aux_1']}, {$dbh->row['identBy_ID']}, '".str_replace("'", "\'", stripslashes(str_replace("\n", '', str_replace("\r\n", '', $dbh->row['identBy_Value']))))."', false);\">{$dbh->row['identBy_Value']}</a></div>";
									$insert = "<a href=\"#\" title=\"{#dynpg_eshop_insert_dlg.switch_to_main_article}\" onclick=\"DynpgEShopInsert.insertEShopLink({$dbh->row['identBy_Aux_1']}, {$dbh->row['identBy_ID']}, '".str_replace("'", "\'", stripslashes(str_replace("\n", '', str_replace("\r\n", '', $dbh->row['identBy_Value']))))."', true);\">";
									$hidden = "<input type=\"hidden\" id=\"group_{$unique}\" value=\"{$dbh->row['identBy_Aux_1']}\" />\n" .
											  "<input type=\"hidden\" id=\"item_{$unique}\" value=\"{$dbh->row['identBy_ID']}\" />\n" .
											  "<input type=\"hidden\" id=\"name_{$unique}\" value=\"{$dbh->row['identBy_Value']}\" />\n";
									break;

								case 'explicit':
									$ident = '<img src="' . $this_path . 'plugins/DPGeshop/styles/list_article.gif" align="left" alt="{#dynpg_eshop_insert_dlg.list_article}" title="{#dynpg_eshop_insert_dlg.list_article}" border="0" />';
									if ($dbh->row['identBy_type'] == 'explicit') {
										$dbh_ = new DB_ExplicitVal_Tbl($dbh->row['identBy_Aux_2']);
										$dbh_->readByRowIndexIsItemNmb($dbh->row['identBy_ID']);
										$dbh_->db_fetch_row();
										if (count($dbh_->row) > 0) {
											$item_nmb = "{#dynpg_eshop_insert_dlg.article_number} " . dynpg_htmlentities_rigid($dbh_->row['explicit_val'],ENT_COMPAT,true);
										} else {
											$item_nmb = "{#dynpg_eshop_insert_dlg.article_number} {#dynpg_eshop_insert_dlg.none}";
										}
									}

									$value  = "<a href=\"#\" title=\"{#dynpg_eshop_insert_dlg.switch_to_main_article}\" onclick=\"DynpgEShopInsert.insertEShopLink({$dbh->row['identBy_Aux_1']}, {$dbh->row['identBy_Aux_2']}, '".str_replace("'", "\'", stripslashes(str_replace("\n", '', str_replace("\r\n", '', $dbh->row['identBy_Value']))))."', false);\">{$dbh->row['identBy_Value']}</a>" .
											  '&nbsp;<img src="' . $this_path . 'plugins/DPGeshop/styles/implicates.gif" alt="implicates" title="" border="0" />&nbsp;'.
											  "{$item_nmb} <br /><span style=\"color: #666666;\">{#dynpg_eshop_insert_dlg.match_at} &quot;{$dbh->row['identBy_Aux_3']}&quot;</span>";

									$insert = "<a href=\"#\" title=\"{#dynpg_eshop_insert_dlg.switch_to_main_article}\" onclick=\"DynpgEShopInsert.insertEShopLink({$dbh->row['identBy_Aux_1']}, {$dbh->row['identBy_Aux_2']}, '".str_replace("'", "\'", stripslashes(str_replace("\n", '', str_replace("\r\n", '', $dbh->row['identBy_Value']))))."', true);\">";

									$hidden = "<input type=\"hidden\" id=\"group_{$unique}\" value=\"{$dbh->row['identBy_Aux_1']}\" />\n" .
											  "<input type=\"hidden\" id=\"item_{$unique}\" value=\"{$dbh->row['identBy_Aux_2']}\" />\n" .
											  "<input type=\"hidden\" id=\"name_{$unique}\" value=\"{$dbh->row['identBy_Value']}\" />\n";
									break;

								default:
									break;
							}

							// HTML OUTPUT
							echo '
				            <tr>
				        		<td width="20" valign="middle" align="center" class="seperated">
									<input type="checkbox" name="'.$unique.'" value="'.$dbh->row['identBy_ID'].'" />
									'.$hidden.'
								</td>

								<td width="70" valign="middle" align="center" class="seperated">
									'.$dbh->row['identBy_ID'].'
								</td>

								<td valign="middle" align="left" class="seperated">
				        			'.$ident.' '.$value.'
				        		</td>

				        		<td valign="middle" align="center" class="seperated_bottom">
									'.$insert.'{#dynpg_eshop_insert_dlg.insert_detail}</a>
				        		</td>
				        	</tr>';
							// END HTML OUTPUT
						}
					?>

				</table>

			</td>
		</tr>
	</table>

	</form>

<?php } ?>

</body>
</html>